wxSQLite3ScalarFunction Class Referenceabstract

Interface for user defined scalar functions. More...

`#include <wxsqlite3.h>`

## Public Member Functions

| wxSQLite3ScalarFunction ()
| Constructor.
virtual | ~wxSQLite3ScalarFunction ()
| Virtual destructor.
virtual void | Execute (wxSQLite3FunctionContext &ctx)=0
| Execute the scalar function.

## Detailed Description

Interface for user defined scalar functions.

## Constructor & Destructor Documentation

## wxSQLite3ScalarFunction()

wxSQLite3ScalarFunction::wxSQLite3ScalarFunction | ( |  | ) |

inline

Constructor.

## ~wxSQLite3ScalarFunction()

virtual wxSQLite3ScalarFunction::~wxSQLite3ScalarFunction | ( |  | ) |

inline virtual

Virtual destructor.

## Member Function Documentation

## Execute()

virtual void wxSQLite3ScalarFunction::Execute | ( | wxSQLite3FunctionContext & | ctx | ) |

pure virtual

Execute the scalar function.

This method is invoked for each appearance of the scalar function in the SQL query.

Parameters

  ctx | function context which can be used to access arguments and result value

The documentation for this class was generated from the following file:

- wxsqlite3.h